Compute manager doesn't update 'host' field when it tries to run a VM

Bug #1073600 reported by Édouard Thuleau on 2012-10-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Édouard Thuleau
Folsom
High
Vish Ishaya
nova (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

When scheduler asks Compute to run a VM, compute manager check resources through the resource tracker.
The resource tracker sets the 'host' field of instance in db if the compute have enough resources.
But the compute manager doesn't update the 'host' field of the instance and asks network manager to allocate network without precised the host where the instance will run. In the 'multi_host' setup, it causes problems.

summary: - Compute doesn't update 'host' field when it tries to run a VM
+ Compute manager doesn't update 'host' field when it tries to run a VM
Changed in nova:
assignee: nobody → Édouard Thuleau (ethuleau)
status: New → In Progress
Vish Ishaya (vishvananda) wrote :

does this affect folsom as well?

Changed in nova:
importance: Undecided → High
tags: added: folsom-backport-potential
Édouard Thuleau (ethuleau) wrote :

No, it doesn't affect the Folsom release.
In Folsom release, the 'host' field is updated by scheduler driver : https://github.com/openstack/nova/blob/stable/folsom/nova/scheduler/driver.py#L104

You can withdraw the tag 'folsom-backport-potential'

Alan Pevec (apevec) on 2012-11-07
tags: removed: folsom-backport-potential
Thierry Carrez (ttx) on 2012-11-22
Changed in nova:
milestone: none → grizzly-1
no longer affects: nova/folsom

Reviewed: https://review.openstack.org/15119
Committed: http://github.com/openstack/nova/commit/d32d5b252fc6c71a19b5372defb468fee9c57d3a
Submitter: Jenkins
Branch: master

commit d32d5b252fc6c71a19b5372defb468fee9c57d3a
Author: Édouard Thuleau <email address hidden>
Date: Thu Nov 8 16:14:37 2012 +0100

    Compute doesn't set the 'host' field in instance

    When an instance starts, compute ask the resource manager to check the
    compute capabilities. If the compute resources are sufficient, the
    resource manager updates the 'host' instance field in the database. But
    the local variable 'instance' use by compute manger isn't updated.
    So, when compute manager asks the network manager to allocate a network
    for the instance, the 'host' instance field is null.

    Some compute tests doesn't update the local variable instance when
    they change some parameter on instance and failed with this patch.

    Fixes LP bug #1073600

    Change-Id: I842d4814b9eabc6222c68118d8a244b20bb68164

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/16768
Committed: http://github.com/openstack/nova/commit/df534de1452f19bec9b272b88cc76e8393515439
Submitter: Jenkins
Branch: milestone-proposed

commit df534de1452f19bec9b272b88cc76e8393515439
Author: Édouard Thuleau <email address hidden>
Date: Thu Nov 8 16:14:37 2012 +0100

    Compute doesn't set the 'host' field in instance

    When an instance starts, compute ask the resource manager to check the
    compute capabilities. If the compute resources are sufficient, the
    resource manager updates the 'host' instance field in the database. But
    the local variable 'instance' use by compute manger isn't updated.
    So, when compute manager asks the network manager to allocate a network
    for the instance, the 'host' instance field is null.

    Some compute tests doesn't update the local variable instance when
    they change some parameter on instance and failed with this patch.

    Fixes LP bug #1073600

    Change-Id: I842d4814b9eabc6222c68118d8a244b20bb68164
    (cherry picked from commit d32d5b252fc6c71a19b5372defb468fee9c57d3a)

Changed in nova:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/16771
Committed: http://github.com/openstack/nova/commit/6ae32f0ac37f8210e8e2ae2183a2a5950a78016f
Submitter: Jenkins
Branch: stable/folsom

commit 6ae32f0ac37f8210e8e2ae2183a2a5950a78016f
Author: Édouard Thuleau <email address hidden>
Date: Thu Nov 8 16:14:37 2012 +0100

    Compute doesn't set the 'host' field in instance

    When an instance starts, compute ask the resource manager to check the
    compute capabilities. If the compute resources are sufficient, the
    resource manager updates the 'host' instance field in the database. But
    the local variable 'instance' use by compute manger isn't updated.
    So, when compute manager asks the network manager to allocate a network
    for the instance, the 'host' instance field is null.

    Some compute tests doesn't update the local variable instance when
    they change some parameter on instance and failed with this patch.

    Fixes LP bug #1073600

    Change-Id: I842d4814b9eabc6222c68118d8a244b20bb68164
    (cherry picked from commit d32d5b252fc6c71a19b5372defb468fee9c57d3a)

tags: added: in-stable-folsom
Changed in nova (Ubuntu):
status: New → Fix Released
Changed in nova (Ubuntu Quantal):
status: New → Confirmed

Hello Édouard, or anyone else affected,

Accepted nova into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/2012.2.1+stable-20121212-a99a802e-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: in-stable-folsom
Launchpad Janitor (janitor) wrote :
Download full text (8.3 KiB)

This bug was fixed in the package nova - 2012.2.1+stable-20121212-a99a802e-0ubuntu1

---------------
nova (2012.2.1+stable-20121212-a99a802e-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure novaclient is upgraded with nova,
      require python-keystoneclient >= 1:2.9.0. (LP: #1073289)
    - d/p/avoid_setuptools_git_dependency.patch: Refresh.
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2012-5625.patch: [a99a802]
  * Resynchronize with stable/folsom (b55014ca) (LP: #1085255):
    - [a99a802] create_lvm_image allocates dirty blocks (LP: #1070539)
    - [670b388] RPC exchange name defaults to 'openstack' (LP: #1083944)
    - [3ede373] disassociate_floating_ip with multi_host=True fails
      (LP: #1074437)
    - [22d7c3b] libvirt imagecache should handle shared image storage
      (LP: #1075018)
    - [e787786] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [9265eb0] live_migration missing migrate_data parameter in Hyper-V driver
      (LP: #1066513)
    - [3d99848] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [65a2d0a] resize does not migrate DHCP host information (LP: #1065440)
    - [102c76b] Nova backup image fails (LP: #1065053)
    - [48a3521] Fix config-file overrides for nova-dhcpbridge
    - [69663ee] Cloudpipe in Folsom: no such option: cnt_vpn_clients
      (LP: #1069573)
    - [6e47cc8] DisassociateAddress can cause Internal Server Error
      (LP: #1080406)
    - [22c3d7b] API calls to dis-associate an auto-assigned floating IP should
      return proper warning (LP: #1061499)
    - [bd11d15] libvirt: if exception raised during volume_detach, volume state
      is inconsistent (LP: #1057756)
    - [dcb59c3] admin can't describe all images in ec2 api (LP: #1070138)
    - [78de622] Incorrect Exception raised during Create server when metadata
      over 255 characters (LP: #1004007)
    - [c313de4] Fixed IP isn't released before updating DHCP host file
      (LP: #1078718)
    - [f4ab42d] Enabling Return Reservation ID with XML create server request
      returns no body (LP: #1061124)
    - [3db2a38] 'BackupCreate' should accept rotation parameter greater than or
      equal to zero (LP: #1071168)
    - [f7e5dde] libvirt reboot sometimes fails to reattach volumes
      (LP: #1073720)
    - [ff776d4] libvirt: detaching volume may fail while terminating other
      instances on the same host concurrently (LP: #1060836)
    - [85a8bc2] Used instance uuid rather than id in remove-fixed-ip
    - [42a85c0] Fix error on invalid delete_on_termination value
    - [6a17579] xenapi migrations fail w/ swap (LP: #1064083)
    - [97649b8] attach-time field for volumes is not updated for detach volume
      (LP: #1056122)
    - [8f6a718] libvirt: rebuild is not using kernel and ramdisk associated with
      the new image (LP: #1060925)
    - [fbe835f] live-migration and volume host assignement (LP: #1066887)
    - [c2a9150] typo prevents volume_tmp_dir flag from working (LP: #1071536)
    - [93efa21] Instances deleted during spawn leak network allocations
      (LP: #1068716)
    - [ebabd02] After restartin...

Read more...

Changed in nova (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers